POST api/customer/Remove
Request Information
URI Parameters
None.
Body Parameters
Customer| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| code | string |
None. |
|
| logoPath | string |
None. |
|
| fullName | string |
None. |
|
| aliasName | string |
None. |
|
| taxCode | string |
None. |
|
| email1 | string |
None. |
|
| email2 | string |
None. |
|
| numberPhone1 | string |
None. |
|
| numberPhone2 | string |
None. |
|
| hotline | string |
None. |
|
| address | string |
None. |
|
| contact | string |
None. |
|
| contactPhone | string |
None. |
|
| parentCode | string |
None. |
|
| status | string |
None. |
|
| note | string |
None. |
|
| createdOn | date |
None. |
|
| createdBy | string |
None. |
|
| modifiedOn | date |
None. |
|
| modifiedBy | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"code": "sample string 2",
"logoPath": "sample string 3",
"fullName": "sample string 4",
"aliasName": "sample string 5",
"taxCode": "sample string 6",
"email1": "sample string 7",
"email2": "sample string 8",
"numberPhone1": "sample string 9",
"numberPhone2": "sample string 10",
"hotline": "sample string 11",
"address": "sample string 12",
"contact": "sample string 13",
"contactPhone": "sample string 14",
"parentCode": "sample string 15",
"status": "sample string 16",
"note": "sample string 17",
"createdOn": "2026-05-23T02:32:05.3794807+07:00",
"createdBy": "sample string 18",
"modifiedOn": "2026-05-23T02:32:05.3794807+07:00",
"modifiedBy": "sample string 19"
}
application/xml, text/xml
Sample:
<Customer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/PetShop.API.Models"> <address>sample string 12</address> <aliasName>sample string 5</aliasName> <code>sample string 2</code> <contact>sample string 13</contact> <contactPhone>sample string 14</contactPhone> <createdBy>sample string 18</createdBy> <createdOn>2026-05-23T02:32:05.3794807+07:00</createdOn> <email1>sample string 7</email1> <email2>sample string 8</email2> <fullName>sample string 4</fullName> <hotline>sample string 11</hotline> <id>1</id> <logoPath>sample string 3</logoPath> <modifiedBy>sample string 19</modifiedBy> <modifiedOn>2026-05-23T02:32:05.3794807+07:00</modifiedOn> <note>sample string 17</note> <numberPhone1>sample string 9</numberPhone1> <numberPhone2>sample string 10</numberPhone2> <parentCode>sample string 15</parentCode> <status>sample string 16</status> <taxCode>sample string 6</taxCode> </Customer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.